﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports Microsoft.ComplexEventProcessing.Adapters
Imports Microsoft.ComplexEventProcessing

Namespace Adapters
    Public Class ConsoleOutputAdapterFactory
        Implements ITypedOutputAdapterFactory(Of ConsoleOutputAdapterConfig)
        Shared Sub New()

        End Sub

        Public Function Create(Of TPayload)(ByVal configInfo As ConsoleOutputAdapterConfig, ByVal eventShape As EventShape) As OutputAdapterBase Implements ITypedOutputAdapterFactory(Of ConsoleOutputAdapterConfig).Create
            If eventShape <> eventShape.Point Then
                Throw New InvalidOperationException("Points only.")
            End If

            Return New ConsoleOutputAdapter(Of TPayload)(configInfo)
        End Function

        Public Sub Dispose() Implements ITypedOutputAdapterFactory(Of ConsoleOutputAdapterConfig).Dispose
        End Sub
    End Class
End Namespace
